post
https://example.com/ums/v2/services
Create a new Service User
Request Body Parameters:
| Parameter | Type | Mandatory | Description | Example |
|---|---|---|---|---|
| active | boolean | false | ||
| roleId | string | true | A UUID formatted string | 3fa85f64-5717-4562-b3fc-2c963f66afa6 |
| type | string | true | Values:INTERNAL_SERVICE,EXTERNAL_SERVICE | |
| ownerOrganizationId | string | false | A UUID formatted string | 3fa85f64-5717-4562-b3fc-2c963f66afa6 |
| name | string | false | ||
| accessTokenExpirationInMinutes | integer | false | ||
| secretKeyExpirationInMinutes | integer | false | The expiration applied to secret keys of this service user, in minutes. Affects only secret keys created from this point on. Once a secret key expires it can no longer be used to log in - it does not expire the service user itself. When not set, the secret keys of this service user never expire. |
This API requires UMS_SERVICES_CREATE_SERVICE_USER permission(s).
